%define api	0.3
%define major	0
%define major_grlnet	0
%define major_grlpls	0
%define libname	%mklibname %{name} %{api} %{major}
%define libname_grlnet	%mklibname grlnet %{api} %{major_grlnet}
%define libname_grlpls %mklibname grlpls %{api} %{major_grlpls}
%define girname %mklibname %name-gir %{api}
%define devname	%mklibname -d %{name}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		grilo
Version:	0.3.4
Release:	%mkrel 1
Summary:	Content discovery framework
Group:		System/Libraries
License:	LGPLv2+
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Url:		https://wiki.gnome.org/Grilo
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0) >= 2.22
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0
BuildRequires:	pkgconfig(libsoup-2.4) >= 2.33.4
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(vapigen)
BuildRequires:	pkgconfig(oauth)
BuildRequires:	vala-devel >= 0.7.2
BuildRequires:	vala-tools >= 0.7.2
BuildRequires:	gnome-common
BuildRequires:	gtk-doc
BuildRequires:	gobject-introspection-devel >= 0.9.0
BuildRequires:  pkgconfig(totem-plparser)

%description
Grilo is a framework that provides access to different sources of
multimedia content, using a pluggable system.
This package contains the core library and elements.

%package -n %{libname}
Summary:	Libraries files for Grilo framework
Group:		System/Libraries
Obsoletes:	%{_lib}grilo0.2_1 = 0.2.13-1.mga6

%description -n %{libname}
Grilo is a framework that provides access to different sources of
multimedia content, using a pluggable system.
This package contains the core library and elements, as well as
general and API documentation.

%package -n %{libname_grlnet}
Summary:	Libraries files for Grilo framework
Group:		System/Libraries

%description -n %{libname_grlnet}
Grilo is a framework that provides access to different sources of
multimedia content, using a pluggable system.
This package contains the core library and elements, as well as
general and API documentation.

%package -n %{libname_grlpls}
Summary:	Libraries files for Grilo framework
Group:		System/Libraries

%description -n %{libname_grlpls}
Grilo is a framework that provides access to different sources of
multimedia content, using a pluggable system.
Grilo only deals with audio, video or image content, but not with
playlists. This library allow to identify playlists and browse
into them exposing playlist entries as GrlMedia objects.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libname_grlnet} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package -n %{devname}
Summary:	Libraries/include files for Grilo framework
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libname_grlnet} = %{version}-%{release}
Requires:	%{libname_grlpls} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{devname}
Grilo is a framework that provides access to different sources of
multimedia content, using a pluggable system.

This package contains the core library and elements, as well as
general and API documentation.

%prep
%setup -q

%build
%configure2_5x \
	--disable-static \
	--enable-vala \
	--enable-gtk-doc \
	--enable-introspection \
	--enable-grl-net \
	--disable-tests
%make

%install
%makeinstall_std

mkdir -p %{buildroot}%{_libdir}/grilo-%{api} %{buildroot}%{_datadir}/grilo-%{api}/plugins

# Remove files that will not be packaged
rm -f %{buildroot}%{_libdir}/*.la
rm -f %{buildroot}%{_bindir}/grilo-simple-playlist

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS COPYING NEWS README TODO
%{_bindir}/grl-inspect-%{api}
%{_bindir}/grl-launch-%{api}
%{_bindir}/grilo-test-ui-%{api}
%{_libdir}/grilo-%{api}
%{_datadir}/grilo-%{api}/plugins
%{_mandir}/man1/grl-inspect*.1.*
%{_mandir}/man1/grl-launch*.*
%{_mandir}/man1/grilo-test-ui*.*

%files -n %{libname}
%{_libdir}/lib%{name}-%{api}.so.%{major}
%{_libdir}/lib%{name}-%{api}.so.%{major}.*

%files -n %{libname_grlpls}
%{_libdir}/libgrlpls-%{api}.so.%{major_grlpls}
%{_libdir}/libgrlpls-%{api}.so.%{major_grlpls}.*

%files -n %{libname_grlnet}
%{_libdir}/libgrlnet-%{api}.so.%{major_grlnet}
%{_libdir}/libgrlnet-%{api}.so.%{major_grlnet}.*

%files -n %{girname}
%{_libdir}/girepository-1.0/*-%{api}.typelib

%files -n %{devname}
%doc AUTHORS COPYING NEWS README TODO
%doc %{_datadir}/gtk-doc/html/%{name}
%{_includedir}/%{name}-%{api}
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/*.gir
%{_datadir}/vala*/vapi/*


%changelog
* Thu Mar 27 2018 adrianomorselli <adrianomorselli> 0.3.4-1uplos2018
- update
